Module gengeo :: Class TriBox

[hide private]
[frames] | no frames]

# Class TriBox

     object --+
              |
    ??.instance --+
                  |
            AVolume --+
                      |
              AVolume3D --+
                          |
                         TriBox

A class defining a triangular prism AVolume3D bounded by planes.

Instance Methods | [hide private]

__init__(...) Constructs a triangular prism with the specified coordinates. |

__str__(...) str(x) |

void

addPlane(...) Adds a plane to the TriBox for fitting particles. |

Inherited from `AVolume`: `__reduce__` Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `104`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a triangular prism with the specified coordinates. The triangle cross-section is in the X-Y plane and may be upright or `inverted`.

Parameters:
  - `minPoint` (Vector3) - Coordinate of bottom-left-front corner of the axis-aligned bounding box
  - `maxPoint` (Vector3) - Coordinate of upper-right-back corner of the axis-aligned bounding box
  - `inverted` (boolean) - defines whether tribox is inverted (default is False)
Overrides: object.__init__

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### addPlane(...)

Adds a plane to the TriBox for fitting particles.

Parameters:
  - `plane` (Plane) - the plane to add to the TriBox
Returns: void